org.apache.hadoop.yarn.server.api.records.impl.pb

## Class NodeStatusPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.records.NodeStatus
  - - org.apache.hadoop.yarn.server.api.records.impl.pb.NodeStatusPBImpl

-     public class NodeStatusPBImpl
      extends NodeStatus

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeStatusPBImpl()`
    `NodeStatusPBImpl(org.apache.hadoop.yarn.proto.YarnServerCommonProtos.NodeStatusProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `List<org.apache.hadoop.yarn.api.records.ContainerStatus>` | `getContainersStatuses()`
    `org.apache.hadoop.yarn.api.records.ResourceUtilization` | `getContainersUtilization()` Get the resource utilization of the containers.
    `List<org.apache.hadoop.yarn.api.records.Container>` | `getIncreasedContainers()`
    `List<org.apache.hadoop.yarn.api.records.ApplicationId>` | `getKeepAliveApplications()`
    `NodeHealthStatus` | `getNodeHealthStatus()`
    `org.apache.hadoop.yarn.api.records.NodeId` | `getNodeId()`
    `org.apache.hadoop.yarn.api.records.ResourceUtilization` | `getNodeUtilization()` Get the resource utilization of the node.
    `OpportunisticContainersStatus` | `getOpportunisticContainersStatus()`
    `org.apache.hadoop.yarn.proto.YarnServerCommonProtos.NodeStatusProto` | `getProto()`
    `int` | `getResponseId()`
    `int` | `hashCode()`
    `void` | `setContainersStatuses(List<org.apache.hadoop.yarn.api.records.ContainerStatus> containers)`
    `void` | `setContainersUtilization(org.apache.hadoop.yarn.api.records.ResourceUtilization containersUtilization)`
    `void` | `setIncreasedContainers(List<org.apache.hadoop.yarn.api.records.Container> increasedContainers)`
    `void` | `setKeepAliveApplications(List<org.apache.hadoop.yarn.api.records.ApplicationId> appIds)`
    `void` | `setNodeHealthStatus(NodeHealthStatus healthStatus)`
    `void` | `setNodeId(org.apache.hadoop.yarn.api.records.NodeId nodeId)`
    `void` | `setNodeUtilization(org.apache.hadoop.yarn.api.records.ResourceUtilization nodeUtilization)`
    `void` | `setOpportunisticContainersStatus(OpportunisticContainersStatus opportunisticContainersStatus)`
    `void` | `setResponseId(int responseId)`

    - ### Methods inherited from class org.apache.hadoop.yarn.server.api.records.NodeStatus

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeStatusPBImpl

          public NodeStatusPBImpl()

    - #### NodeStatusPBImpl

          public NodeStatusPBImpl(org.apache.hadoop.yarn.proto.YarnServerCommonProtos.NodeStatusProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnServerCommonProtos.NodeStatusProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### getResponseId

          public int getResponseId()

      Specified by:
        `getResponseId` in class `NodeStatus`

    - #### setResponseId

          public void setResponseId(int responseId)

      Specified by:
        `setResponseId` in class `NodeStatus`

    - #### getNodeId

          public org.apache.hadoop.yarn.api.records.NodeId getNodeId()

      Specified by:
        `getNodeId` in class `NodeStatus`

    - #### setNodeId

          public void setNodeId(org.apache.hadoop.yarn.api.records.NodeId nodeId)

      Specified by:
        `setNodeId` in class `NodeStatus`

    - #### getContainersStatuses

          public List<org.apache.hadoop.yarn.api.records.ContainerStatus> getContainersStatuses()

      Specified by:
        `getContainersStatuses` in class `NodeStatus`

    - #### setContainersStatuses

          public void setContainersStatuses(List<org.apache.hadoop.yarn.api.records.ContainerStatus> containers)

      Specified by:
        `setContainersStatuses` in class `NodeStatus`

    - #### getKeepAliveApplications

          public List<org.apache.hadoop.yarn.api.records.ApplicationId> getKeepAliveApplications()

      Specified by:
        `getKeepAliveApplications` in class `NodeStatus`

    - #### setKeepAliveApplications

          public void setKeepAliveApplications(List<org.apache.hadoop.yarn.api.records.ApplicationId> appIds)

      Specified by:
        `setKeepAliveApplications` in class `NodeStatus`

    - #### getNodeHealthStatus

          public NodeHealthStatus getNodeHealthStatus()

      Specified by:
        `getNodeHealthStatus` in class `NodeStatus`

    - #### setNodeHealthStatus

          public void setNodeHealthStatus(NodeHealthStatus healthStatus)

      Specified by:
        `setNodeHealthStatus` in class `NodeStatus`

    - #### getContainersUtilization

          public org.apache.hadoop.yarn.api.records.ResourceUtilization getContainersUtilization()

      Description copied from class: `NodeStatus`
      Get the resource utilization of the containers.
      Specified by:
        `getContainersUtilization` in class `NodeStatus`
      Returns:
        resource utilization of the containers

    - #### setContainersUtilization

          public void setContainersUtilization(org.apache.hadoop.yarn.api.records.ResourceUtilization containersUtilization)

      Specified by:
        `setContainersUtilization` in class `NodeStatus`

    - #### getNodeUtilization

          public org.apache.hadoop.yarn.api.records.ResourceUtilization getNodeUtilization()

      Description copied from class: `NodeStatus`
      Get the resource utilization of the node.
      Specified by:
        `getNodeUtilization` in class `NodeStatus`
      Returns:
        resource utilization of the node

    - #### setNodeUtilization

          public void setNodeUtilization(org.apache.hadoop.yarn.api.records.ResourceUtilization nodeUtilization)

      Specified by:
        `setNodeUtilization` in class `NodeStatus`

    - #### getIncreasedContainers

          public List<org.apache.hadoop.yarn.api.records.Container> getIncreasedContainers()

      Specified by:
        `getIncreasedContainers` in class `NodeStatus`

    - #### setIncreasedContainers

          public void setIncreasedContainers(List<org.apache.hadoop.yarn.api.records.Container> increasedContainers)

      Specified by:
        `setIncreasedContainers` in class `NodeStatus`

    - #### getOpportunisticContainersStatus

          public OpportunisticContainersStatus getOpportunisticContainersStatus()

      Specified by:
        `getOpportunisticContainersStatus` in class `NodeStatus`

    - #### setOpportunisticContainersStatus

          public void setOpportunisticContainersStatus(OpportunisticContainersStatus opportunisticContainersStatus)

      Specified by:
        `setOpportunisticContainersStatus` in class `NodeStatus`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.